searchData={"items":[{"type":"module","title":"GoogleApi.IAP.V1","doc":"API client metadata for GoogleApi.IAP.V1.","ref":"GoogleApi.IAP.V1.html"},{"type":"function","title":"GoogleApi.IAP.V1.discovery_revision/0","doc":"","ref":"GoogleApi.IAP.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.IAP.V1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.IAP.V1.Api.Projects.html"},{"type":"function","title":"GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_create/4","doc":"Constructs a new OAuth brand for the project if one does not exist. The created brand is \"internal only\", meaning that OAuth clients created under it only accept requests from users who belong to the same Google Workspace organization as the project. The brand is created in an un-reviewed status. NOTE: The \"internal only\" status can be manually changed in the Google Cloud Console. Requires that a brand does not already exist for the project, and that the specified support email is owned by the caller.","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_create/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_create/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. GCP Project number/id under which the brand is to be created. In the following format: projects/{project_number/id}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.IAP.V1.Model.Brand.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_create/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.Brand{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_create/4-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_get/4","doc":"Retrieves the OAuth brand of the project.","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_get/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_get/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the brand to be fetched. In the following format: projects/{project_number/id}/brands/{brand}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_get/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.Brand{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_get/4-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_identity_aware_proxy_clients_create/4","doc":"Creates an Identity Aware Proxy (IAP) OAuth client. The client is owned by IAP. Requires that the brand for the project exists and that it is set for internal-only use.","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_identity_aware_proxy_clients_create/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_identity_aware_proxy_clients_create/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Path to create the client in. In the following format: projects/{project_number/id}/brands/{brand}. The project must belong to a G Suite account.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.IAP.V1.Model.IdentityAwareProxyClient.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_identity_aware_proxy_clients_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_identity_aware_proxy_clients_create/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.IdentityAwareProxyClient{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_identity_aware_proxy_clients_create/4-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_identity_aware_proxy_clients_delete/4","doc":"Deletes an Identity Aware Proxy (IAP) OAuth client. Useful for removing obsolete clients, managing the number of clients in a given project, and cleaning up after tests. Requires that the client is owned by IAP.","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_identity_aware_proxy_clients_delete/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_identity_aware_proxy_clients_delete/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the Identity Aware Proxy client to be deleted. In the following format: projects/{project_number/id}/brands/{brand}/identityAwareProxyClients/{client_id}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_identity_aware_proxy_clients_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_identity_aware_proxy_clients_delete/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_identity_aware_proxy_clients_delete/4-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_identity_aware_proxy_clients_get/4","doc":"Retrieves an Identity Aware Proxy (IAP) OAuth client. Requires that the client is owned by IAP.","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_identity_aware_proxy_clients_get/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_identity_aware_proxy_clients_get/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the Identity Aware Proxy client to be fetched. In the following format: projects/{project_number/id}/brands/{brand}/identityAwareProxyClients/{client_id}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_identity_aware_proxy_clients_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_identity_aware_proxy_clients_get/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.IdentityAwareProxyClient{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_identity_aware_proxy_clients_get/4-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_identity_aware_proxy_clients_list/4","doc":"Lists the existing clients for the brand.","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_identity_aware_proxy_clients_list/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_identity_aware_proxy_clients_list/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Full brand path. In the following format: projects/{project_number/id}/brands/{brand}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of clients to return. The service may return fewer than this value. If unspecified, at most 100 clients will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListIdentityAwareProxyClients` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListIdentityAwareProxyClients` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_identity_aware_proxy_clients_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_identity_aware_proxy_clients_list/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.ListIdentityAwareProxyClientsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_identity_aware_proxy_clients_list/4-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_identity_aware_proxy_clients_reset_secret/4","doc":"Resets an Identity Aware Proxy (IAP) OAuth client secret. Useful if the secret was compromised. Requires that the client is owned by IAP.","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_identity_aware_proxy_clients_reset_secret/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_identity_aware_proxy_clients_reset_secret/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the Identity Aware Proxy client to that will have its secret reset. In the following format: projects/{project_number/id}/brands/{brand}/identityAwareProxyClients/{client_id}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.IAP.V1.Model.ResetIdentityAwareProxyClientSecretRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_identity_aware_proxy_clients_reset_secret/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_identity_aware_proxy_clients_reset_secret/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.IdentityAwareProxyClient{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_identity_aware_proxy_clients_reset_secret/4-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_list/4","doc":"Lists the existing brands for the project.","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_list/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_list/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. GCP Project number/id. In the following format: projects/{project_number/id}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.Projects.iap_projects_brands_list/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.ListBrandsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_brands_list/4-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Api.Projects.iap_projects_iap_tunnel_locations_dest_groups_create/4","doc":"Creates a new TunnelDestGroup.","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_iap_tunnel_locations_dest_groups_create/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.Projects.iap_projects_iap_tunnel_locations_dest_groups_create/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Google Cloud Project ID and location. In the following format: `projects/{project_number/id}/iap_tunnel/locations/{location}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:tunnelDestGroupId` (*type:* `String.t`) - Required. The ID to use for the TunnelDestGroup, which becomes the final component of the resource name. This value must be 4-63 characters, and valid characters are `[a-z]-`.\n    *   `:body` (*type:* `GoogleApi.IAP.V1.Model.TunnelDestGroup.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_iap_tunnel_locations_dest_groups_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.Projects.iap_projects_iap_tunnel_locations_dest_groups_create/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.TunnelDestGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_iap_tunnel_locations_dest_groups_create/4-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Api.Projects.iap_projects_iap_tunnel_locations_dest_groups_delete/4","doc":"Deletes a TunnelDestGroup.","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_iap_tunnel_locations_dest_groups_delete/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.Projects.iap_projects_iap_tunnel_locations_dest_groups_delete/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the TunnelDestGroup to delete. In the following format: `projects/{project_number/id}/iap_tunnel/locations/{location}/destGroups/{dest_group}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_iap_tunnel_locations_dest_groups_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.Projects.iap_projects_iap_tunnel_locations_dest_groups_delete/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_iap_tunnel_locations_dest_groups_delete/4-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Api.Projects.iap_projects_iap_tunnel_locations_dest_groups_get/4","doc":"Retrieves an existing TunnelDestGroup.","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_iap_tunnel_locations_dest_groups_get/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.Projects.iap_projects_iap_tunnel_locations_dest_groups_get/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the TunnelDestGroup to be fetched. In the following format: `projects/{project_number/id}/iap_tunnel/locations/{location}/destGroups/{dest_group}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_iap_tunnel_locations_dest_groups_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.Projects.iap_projects_iap_tunnel_locations_dest_groups_get/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.TunnelDestGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_iap_tunnel_locations_dest_groups_get/4-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Api.Projects.iap_projects_iap_tunnel_locations_dest_groups_list/4","doc":"Lists the existing TunnelDestGroups. To group across all locations, use a `-` as the location ID. For example: `/v1/projects/123/iap_tunnel/locations/-/destGroups`","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_iap_tunnel_locations_dest_groups_list/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.Projects.iap_projects_iap_tunnel_locations_dest_groups_list/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Google Cloud Project ID and location. In the following format: `projects/{project_number/id}/iap_tunnel/locations/{location}`. A `-` can be used for the location to group across all locations.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of groups to return. The service might return fewer than this value. If unspecified, at most 100 groups are returned. The maximum value is 1000; values above 1000 are coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListTunnelDestGroups` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListTunnelDestGroups` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_iap_tunnel_locations_dest_groups_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.Projects.iap_projects_iap_tunnel_locations_dest_groups_list/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.ListTunnelDestGroupsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_iap_tunnel_locations_dest_groups_list/4-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Api.Projects.iap_projects_iap_tunnel_locations_dest_groups_patch/4","doc":"Updates a TunnelDestGroup.","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_iap_tunnel_locations_dest_groups_patch/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.Projects.iap_projects_iap_tunnel_locations_dest_groups_patch/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Identifier. Identifier for the TunnelDestGroup. Must be unique within the project and contain only lower case letters (a-z) and dashes (-).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - A field mask that specifies which IAP settings to update. If omitted, then all of the settings are updated. See https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask\n    *   `:body` (*type:* `GoogleApi.IAP.V1.Model.TunnelDestGroup.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_iap_tunnel_locations_dest_groups_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.Projects.iap_projects_iap_tunnel_locations_dest_groups_patch/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.TunnelDestGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.Projects.html#iap_projects_iap_tunnel_locations_dest_groups_patch/4-returns"},{"type":"module","title":"GoogleApi.IAP.V1.Api.V1","doc":"API calls for all endpoints tagged `V1`.","ref":"GoogleApi.IAP.V1.Api.V1.html"},{"type":"function","title":"GoogleApi.IAP.V1.Api.V1.iap_get_iam_policy/4","doc":"Gets the access control policy for an Identity-Aware Proxy protected resource. More information about managing access via IAP can be found at: https://cloud.google.com/iap/docs/managing-access#managing_access_via_the_api","ref":"GoogleApi.IAP.V1.Api.V1.html#iap_get_iam_policy/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.V1.iap_get_iam_policy/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `resource` (*type:* `String.t`) - REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.IAP.V1.Model.GetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.V1.html#iap_get_iam_policy/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.V1.iap_get_iam_policy/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.V1.html#iap_get_iam_policy/4-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Api.V1.iap_get_iap_settings/4","doc":"Gets the IAP settings on a particular IAP protected resource.","ref":"GoogleApi.IAP.V1.Api.V1.html#iap_get_iap_settings/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.V1.iap_get_iap_settings/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name for which to retrieve the settings. Authorization: Requires the `getSettings` permission for the associated resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.V1.html#iap_get_iap_settings/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.V1.iap_get_iap_settings/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.IapSettings{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.V1.html#iap_get_iap_settings/4-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Api.V1.iap_set_iam_policy/4","doc":"Sets the access control policy for an Identity-Aware Proxy protected resource. Replaces any existing policy. More information about managing access via IAP can be found at: https://cloud.google.com/iap/docs/managing-access#managing_access_via_the_api","ref":"GoogleApi.IAP.V1.Api.V1.html#iap_set_iam_policy/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.V1.iap_set_iam_policy/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `resource` (*type:* `String.t`) - REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.IAP.V1.Model.SetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.V1.html#iap_set_iam_policy/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.V1.iap_set_iam_policy/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.V1.html#iap_set_iam_policy/4-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Api.V1.iap_test_iam_permissions/4","doc":"Returns permissions that a caller has on the Identity-Aware Proxy protected resource. More information about managing access via IAP can be found at: https://cloud.google.com/iap/docs/managing-access#managing_access_via_the_api","ref":"GoogleApi.IAP.V1.Api.V1.html#iap_test_iam_permissions/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.V1.iap_test_iam_permissions/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `resource` (*type:* `String.t`) - REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.IAP.V1.Model.TestIamPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.V1.html#iap_test_iam_permissions/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.V1.iap_test_iam_permissions/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.TestIamPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.V1.html#iap_test_iam_permissions/4-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Api.V1.iap_update_iap_settings/4","doc":"Updates the IAP settings on a particular IAP protected resource. It replaces all fields unless the `update_mask` is set.","ref":"GoogleApi.IAP.V1.Api.V1.html#iap_update_iap_settings/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.V1.iap_update_iap_settings/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the IAP protected resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The field mask specifying which IAP settings should be updated. If omitted, then all of the settings are updated. See https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask. Note: All IAP reauth settings must always be set together, using the field mask: `iapSettings.accessSettings.reauthSettings`.\n    *   `:body` (*type:* `GoogleApi.IAP.V1.Model.IapSettings.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.V1.html#iap_update_iap_settings/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.V1.iap_update_iap_settings/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.IapSettings{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.V1.html#iap_update_iap_settings/4-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Api.V1.iap_validate_attribute_expression/4","doc":"Validates that a given CEL expression conforms to IAP restrictions.","ref":"GoogleApi.IAP.V1.Api.V1.html#iap_validate_attribute_expression/4"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Api.V1.iap_validate_attribute_expression/4","doc":"*   `connection` (*type:* `GoogleApi.IAP.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the IAP protected resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:expression` (*type:* `String.t`) - Required. User input string expression. Should be of the form `attributes.saml_attributes.filter(attribute, attribute.name in ['{attribute_name}', '{attribute_name}'])`\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.IAP.V1.Api.V1.html#iap_validate_attribute_expression/4-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Api.V1.iap_validate_attribute_expression/4","doc":"*   `{:ok, %GoogleApi.IAP.V1.Model.ValidateIapAttributeExpressionResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.IAP.V1.Api.V1.html#iap_validate_attribute_expression/4-returns"},{"type":"module","title":"GoogleApi.IAP.V1.Connection","doc":"Handle Tesla connections for GoogleApi.IAP.V1.","ref":"GoogleApi.IAP.V1.Connection.html"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.IAP.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.IAP.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.IAP.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.IAP.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.IAP.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.IAP.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.IAP.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.IAP.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.IAP.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.IAP.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.IAP.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.IAP.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.IAP.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.IAP.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.IAP.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.IAP.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.IAP.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.IAP.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.IAP.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.IAP.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.IAP.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.IAP.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.IAP.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.IAP.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.IAP.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.IAP.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.IAP.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.IAP.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.IAP.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.IAP.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.IAP.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.IAP.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.IAP.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.IAP.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.IAP.V1.Connection.t/0","doc":"","ref":"GoogleApi.IAP.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.AccessDeniedPageSettings","doc":"Custom content configuration for access denied page. IAP allows customers to define a custom URI to use as the error page when access is denied to users. If IAP prevents access to this page, the default IAP error page will be displayed instead.","ref":"GoogleApi.IAP.V1.Model.AccessDeniedPageSettings.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.AccessDeniedPageSettings","doc":"*   `accessDeniedPageUri` (*type:* `String.t`, *default:* `nil`) - The URI to be redirected to when access is denied.\n*   `generateTroubleshootingUri` (*type:* `boolean()`, *default:* `nil`) - Whether to generate a troubleshooting URL on access denied events to this application.\n*   `remediationTokenGenerationEnabled` (*type:* `boolean()`, *default:* `nil`) - Whether to generate remediation token on access denied events to this application.","ref":"GoogleApi.IAP.V1.Model.AccessDeniedPageSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.AccessDeniedPageSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.AccessDeniedPageSettings.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.AccessDeniedPageSettings.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.AccessDeniedPageSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.AccessSettings","doc":"Access related settings for IAP protected apps.","ref":"GoogleApi.IAP.V1.Model.AccessSettings.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.AccessSettings","doc":"*   `allowedDomainsSettings` (*type:* `GoogleApi.IAP.V1.Model.AllowedDomainsSettings.t`, *default:* `nil`) - Optional. Settings to configure and enable allowed domains.\n*   `corsSettings` (*type:* `GoogleApi.IAP.V1.Model.CorsSettings.t`, *default:* `nil`) - Optional. Configuration to allow cross-origin requests via IAP.\n*   `gcipSettings` (*type:* `GoogleApi.IAP.V1.Model.GcipSettings.t`, *default:* `nil`) - Optional. GCIP claims and endpoint configurations for 3p identity providers.\n*   `identitySources` (*type:* `list(String.t)`, *default:* `nil`) - Optional. Identity sources that IAP can use to authenticate the end user. Only one identity source can be configured.\n*   `oauthSettings` (*type:* `GoogleApi.IAP.V1.Model.OAuthSettings.t`, *default:* `nil`) - Optional. Settings to configure IAP's OAuth behavior.\n*   `policyDelegationSettings` (*type:* `GoogleApi.IAP.V1.Model.PolicyDelegationSettings.t`, *default:* `nil`) - Optional. Settings to allow google-internal teams to use IAP for apps hosted in a tenant project.\n*   `reauthSettings` (*type:* `GoogleApi.IAP.V1.Model.ReauthSettings.t`, *default:* `nil`) - Optional. Settings to configure reauthentication policies in IAP.\n*   `workforceIdentitySettings` (*type:* `GoogleApi.IAP.V1.Model.WorkforceIdentitySettings.t`, *default:* `nil`) - Optional. Settings to configure the workforce identity federation, including workforce pools and OAuth 2.0 settings.","ref":"GoogleApi.IAP.V1.Model.AccessSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.AccessSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.AccessSettings.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.AccessSettings.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.AccessSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.AllowedDomainsSettings","doc":"Configuration for IAP allowed domains. Lets you to restrict access to an app and allow access to only the domains that you list.","ref":"GoogleApi.IAP.V1.Model.AllowedDomainsSettings.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.AllowedDomainsSettings","doc":"*   `domains` (*type:* `list(String.t)`, *default:* `nil`) - Optional. List of trusted domains.\n*   `enable` (*type:* `boolean()`, *default:* `nil`) - Optional. Configuration for customers to opt in for the feature.","ref":"GoogleApi.IAP.V1.Model.AllowedDomainsSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.AllowedDomainsSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.AllowedDomainsSettings.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.AllowedDomainsSettings.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.AllowedDomainsSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.ApplicationSettings","doc":"Wrapper over application specific settings for IAP.","ref":"GoogleApi.IAP.V1.Model.ApplicationSettings.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.ApplicationSettings","doc":"*   `accessDeniedPageSettings` (*type:* `GoogleApi.IAP.V1.Model.AccessDeniedPageSettings.t`, *default:* `nil`) - Optional. Customization for Access Denied page.\n*   `attributePropagationSettings` (*type:* `GoogleApi.IAP.V1.Model.AttributePropagationSettings.t`, *default:* `nil`) - Optional. Settings to configure attribute propagation.\n*   `cookieDomain` (*type:* `String.t`, *default:* `nil`) - The Domain value to set for cookies generated by IAP. This value is not validated by the API, but will be ignored at runtime if invalid.\n*   `csmSettings` (*type:* `GoogleApi.IAP.V1.Model.CsmSettings.t`, *default:* `nil`) - Optional. Settings to configure IAP's behavior for a service mesh.","ref":"GoogleApi.IAP.V1.Model.ApplicationSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.ApplicationSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.ApplicationSettings.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.ApplicationSettings.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.ApplicationSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.AttributePropagationSettings","doc":"Configuration for propagating attributes to applications protected by IAP.","ref":"GoogleApi.IAP.V1.Model.AttributePropagationSettings.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.AttributePropagationSettings","doc":"*   `enable` (*type:* `boolean()`, *default:* `nil`) - Optional. Whether the provided attribute propagation settings should be evaluated on user requests. If set to true, attributes returned from the expression will be propagated in the set output credentials.\n*   `expression` (*type:* `String.t`, *default:* `nil`) - Optional. Raw string CEL expression. Must return a list of attributes. A maximum of 45 attributes can be selected. Expressions can select different attribute types from `attributes`: `attributes.saml_attributes`, `attributes.iap_attributes`. The following functions are supported: - filter `.filter(, )`: Returns a subset of `` where `` is true for every item. - in ` in `: Returns true if `` contains ``. - selectByName `.selectByName()`: Returns the attribute in `` with the given `` name, otherwise returns empty. - emitAs `.emitAs()`: Sets the `` name field to the given `` for propagation in selected output credentials. - strict `.strict()`: Ignores the `x-goog-iap-attr-` prefix for the provided `` when propagating with the `HEADER` output credential, such as request headers. - append `.append()` OR `.append()`: Appends the provided `` or `` to the end of ``. Example expression: `attributes.saml_attributes.filter(x, x.name in ['test']).append(attributes.iap_attributes.selectByName('exact').emitAs('custom').strict())`\n*   `outputCredentials` (*type:* `list(String.t)`, *default:* `nil`) - Optional. Which output credentials attributes selected by the CEL expression should be propagated in. All attributes will be fully duplicated in each selected output credential.","ref":"GoogleApi.IAP.V1.Model.AttributePropagationSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.AttributePropagationSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.AttributePropagationSettings.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.AttributePropagationSettings.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.AttributePropagationSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.Binding","doc":"Associates `members`, or principals, with a `role`.","ref":"GoogleApi.IAP.V1.Model.Binding.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.Binding","doc":"*   `condition` (*type:* `GoogleApi.IAP.V1.Model.Expr.t`, *default:* `nil`) - The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).\n*   `members` (*type:* `list(String.t)`, *default:* `nil`) - Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: * `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. * `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. Does not include identities that come from external identity providers (IdPs) through identity federation. * `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . * `serviceAccount:{emailid}`: An email address that represents a Google service account. For example, `my-other-app@appspot.gserviceaccount.com`. * `serviceAccount:{projectid}.svc.id.goog[{namespace}/{kubernetes-sa}]`: An identifier for a [Kubernetes service account](https://cloud.google.com/kubernetes-engine/docs/how-to/kubernetes-service-accounts). For example, `my-project.svc.id.goog[my-namespace/my-kubernetes-sa]`. * `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. * `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. * `principal://iam.googleapis.com/locations/global/workforcePools/{pool_id}/subject/{subject_attribute_value}`: A single identity in a workforce identity pool. * `principalSet://iam.googleapis.com/locations/global/workforcePools/{pool_id}/group/{group_id}`: All workforce identities in a group. * `principalSet://iam.googleapis.com/locations/global/workforcePools/{pool_id}/attribute.{attribute_name}/{attribute_value}`: All workforce identities with a specific attribute value. * `principalSet://iam.googleapis.com/locations/global/workforcePools/{pool_id}/*`: All identities in a workforce identity pool. * `principal://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/subject/{subject_attribute_value}`: A single identity in a workload identity pool. * `principalSet://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/group/{group_id}`: A workload identity pool group. * `principalSet://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/attribute.{attribute_name}/{attribute_value}`: All identities in a workload identity pool with a certain attribute. * `principalSet://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/*`: All identities in a workload identity pool. * `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. * `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. * `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. * `deleted:principal://iam.googleapis.com/locations/global/workforcePools/{pool_id}/subject/{subject_attribute_value}`: Deleted single identity in a workforce identity pool. For example, `deleted:principal://iam.googleapis.com/locations/global/workforcePools/my-pool-id/subject/my-subject-attribute-value`.\n*   `role` (*type:* `String.t`, *default:* `nil`) - Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`. For an overview of the IAM roles and permissions, see the [IAM documentation](https://cloud.google.com/iam/docs/roles-overview). For a list of the available pre-defined roles, see [here](https://cloud.google.com/iam/docs/understanding-roles).","ref":"GoogleApi.IAP.V1.Model.Binding.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.Binding.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.Binding.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.Binding.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.Binding.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.Brand","doc":"OAuth brand data. NOTE: Only contains a portion of the data that describes a brand.","ref":"GoogleApi.IAP.V1.Model.Brand.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.Brand","doc":"*   `applicationTitle` (*type:* `String.t`, *default:* `nil`) - Application name displayed on OAuth consent screen.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Identifier of the brand. NOTE: GCP project number achieves the same brand identification purpose as only one brand per project can be created.\n*   `orgInternalOnly` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the brand is only intended for usage inside the G Suite organization only.\n*   `supportEmail` (*type:* `String.t`, *default:* `nil`) - Support email displayed on the OAuth consent screen.","ref":"GoogleApi.IAP.V1.Model.Brand.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.Brand.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.Brand.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.Brand.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.Brand.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.CorsSettings","doc":"Allows customers to configure HTTP request paths that'll allow HTTP OPTIONS call to bypass authentication and authorization.","ref":"GoogleApi.IAP.V1.Model.CorsSettings.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.CorsSettings","doc":"*   `allowHttpOptions` (*type:* `boolean()`, *default:* `nil`) - Configuration to allow HTTP OPTIONS calls to skip authorization. If undefined, IAP will not apply any special logic to OPTIONS requests.","ref":"GoogleApi.IAP.V1.Model.CorsSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.CorsSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.CorsSettings.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.CorsSettings.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.CorsSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.CsmSettings","doc":"Configuration for RCToken generated for service mesh workloads protected by IAP. RCToken are IAP generated JWTs that can be verified at the application. The RCToken is primarily used for service mesh deployments, and can be scoped to a single mesh by configuring the audience field accordingly.","ref":"GoogleApi.IAP.V1.Model.CsmSettings.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.CsmSettings","doc":"*   `rctokenAud` (*type:* `String.t`, *default:* `nil`) - Audience claim set in the generated RCToken. This value is not validated by IAP.","ref":"GoogleApi.IAP.V1.Model.CsmSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.CsmSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.CsmSettings.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.CsmSettings.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.CsmSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.Empty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.IAP.V1.Model.Empty.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.Empty","doc":"","ref":"GoogleApi.IAP.V1.Model.Empty.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.Empty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.Empty.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.Empty.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.Empty.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.Expr","doc":"Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() < 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.","ref":"GoogleApi.IAP.V1.Model.Expr.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.Expr","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.\n*   `expression` (*type:* `String.t`, *default:* `nil`) - Textual representation of an expression in Common Expression Language syntax.\n*   `location` (*type:* `String.t`, *default:* `nil`) - Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.","ref":"GoogleApi.IAP.V1.Model.Expr.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.Expr.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.Expr.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.Expr.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.Expr.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.GcipSettings","doc":"Allows customers to configure tenant_id for GCIP instance per-app.","ref":"GoogleApi.IAP.V1.Model.GcipSettings.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.GcipSettings","doc":"*   `loginPageUri` (*type:* `String.t`, *default:* `nil`) - Login page URI associated with the GCIP tenants. Typically, all resources within the same project share the same login page, though it could be overridden at the sub resource level.\n*   `tenantIds` (*type:* `list(String.t)`, *default:* `nil`) - Optional. GCIP tenant ids that are linked to the IAP resource. tenant_ids could be a string beginning with a number character to indicate authenticating with GCIP tenant flow, or in the format of _ to indicate authenticating with GCIP agent flow. If agent flow is used, tenant_ids should only contain one single element, while for tenant flow, tenant_ids can contain multiple elements.","ref":"GoogleApi.IAP.V1.Model.GcipSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.GcipSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.GcipSettings.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.GcipSettings.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.GcipSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.GetIamPolicyRequest","doc":"Request message for `GetIamPolicy` method.","ref":"GoogleApi.IAP.V1.Model.GetIamPolicyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.GetIamPolicyRequest","doc":"*   `options` (*type:* `GoogleApi.IAP.V1.Model.GetPolicyOptions.t`, *default:* `nil`) - OPTIONAL: A `GetPolicyOptions` object for specifying options to `GetIamPolicy`.","ref":"GoogleApi.IAP.V1.Model.GetIamPolicyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.GetIamPolicyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.GetIamPolicyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.GetIamPolicyRequest.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.GetIamPolicyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.GetPolicyOptions","doc":"Encapsulates settings provided to GetIamPolicy.","ref":"GoogleApi.IAP.V1.Model.GetPolicyOptions.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.GetPolicyOptions","doc":"*   `requestedPolicyVersion` (*type:* `integer()`, *default:* `nil`) - Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).","ref":"GoogleApi.IAP.V1.Model.GetPolicyOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.GetPolicyOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.GetPolicyOptions.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.GetPolicyOptions.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.GetPolicyOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.IapSettings","doc":"The IAP configurable settings.","ref":"GoogleApi.IAP.V1.Model.IapSettings.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.IapSettings","doc":"*   `accessSettings` (*type:* `GoogleApi.IAP.V1.Model.AccessSettings.t`, *default:* `nil`) - Optional. Top level wrapper for all access related setting in IAP\n*   `applicationSettings` (*type:* `GoogleApi.IAP.V1.Model.ApplicationSettings.t`, *default:* `nil`) - Optional. Top level wrapper for all application related settings in IAP\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The resource name of the IAP protected resource.","ref":"GoogleApi.IAP.V1.Model.IapSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.IapSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.IapSettings.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.IapSettings.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.IapSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.IdentityAwareProxyClient","doc":"Contains the data that describes an Identity Aware Proxy owned client.","ref":"GoogleApi.IAP.V1.Model.IdentityAwareProxyClient.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.IdentityAwareProxyClient","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Human-friendly name given to the OAuth client.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Unique identifier of the OAuth client.\n*   `secret` (*type:* `String.t`, *default:* `nil`) - Output only. Client secret of the OAuth client.","ref":"GoogleApi.IAP.V1.Model.IdentityAwareProxyClient.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.IdentityAwareProxyClient.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.IdentityAwareProxyClient.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.IdentityAwareProxyClient.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.IdentityAwareProxyClient.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.ListBrandsResponse","doc":"Response message for ListBrands.","ref":"GoogleApi.IAP.V1.Model.ListBrandsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.ListBrandsResponse","doc":"*   `brands` (*type:* `list(GoogleApi.IAP.V1.Model.Brand.t)`, *default:* `nil`) - Brands existing in the project.","ref":"GoogleApi.IAP.V1.Model.ListBrandsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.ListBrandsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.ListBrandsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.ListBrandsResponse.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.ListBrandsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.ListIdentityAwareProxyClientsResponse","doc":"Response message for ListIdentityAwareProxyClients.","ref":"GoogleApi.IAP.V1.Model.ListIdentityAwareProxyClientsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.ListIdentityAwareProxyClientsResponse","doc":"*   `identityAwareProxyClients` (*type:* `list(GoogleApi.IAP.V1.Model.IdentityAwareProxyClient.t)`, *default:* `nil`) - Clients existing in the brand.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token, which can be send as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.","ref":"GoogleApi.IAP.V1.Model.ListIdentityAwareProxyClientsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.ListIdentityAwareProxyClientsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.ListIdentityAwareProxyClientsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.ListIdentityAwareProxyClientsResponse.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.ListIdentityAwareProxyClientsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.ListTunnelDestGroupsResponse","doc":"The response from ListTunnelDestGroups.","ref":"GoogleApi.IAP.V1.Model.ListTunnelDestGroupsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.ListTunnelDestGroupsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token that you can send as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.\n*   `tunnelDestGroups` (*type:* `list(GoogleApi.IAP.V1.Model.TunnelDestGroup.t)`, *default:* `nil`) - TunnelDestGroup existing in the project.","ref":"GoogleApi.IAP.V1.Model.ListTunnelDestGroupsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.ListTunnelDestGroupsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.ListTunnelDestGroupsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.ListTunnelDestGroupsResponse.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.ListTunnelDestGroupsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.NextStateOfTags","doc":"Used for calculating the next state of tags on the resource being passed for the CheckCustomConstraints RPC call. The detail evaluation of each field is described in go/op-create-update-time-tags and go/tags-in-orgpolicy-requests.","ref":"GoogleApi.IAP.V1.Model.NextStateOfTags.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.NextStateOfTags","doc":"*   `tagsFullState` (*type:* `GoogleApi.IAP.V1.Model.TagsFullState.t`, *default:* `nil`) - \n*   `tagsFullStateForChildResource` (*type:* `GoogleApi.IAP.V1.Model.TagsFullStateForChildResource.t`, *default:* `nil`) - \n*   `tagsPartialState` (*type:* `GoogleApi.IAP.V1.Model.TagsPartialState.t`, *default:* `nil`) -","ref":"GoogleApi.IAP.V1.Model.NextStateOfTags.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.NextStateOfTags.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.NextStateOfTags.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.NextStateOfTags.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.NextStateOfTags.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.OAuth2","doc":"The OAuth 2.0 Settings","ref":"GoogleApi.IAP.V1.Model.OAuth2.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.OAuth2","doc":"*   `clientId` (*type:* `String.t`, *default:* `nil`) - The OAuth 2.0 client ID registered in the workforce identity federation OAuth 2.0 Server.\n*   `clientSecret` (*type:* `String.t`, *default:* `nil`) - Input only. The OAuth 2.0 client secret created while registering the client ID.\n*   `clientSecretSha256` (*type:* `String.t`, *default:* `nil`) - Output only. SHA256 hash value for the client secret. This field is returned by IAP when the settings are retrieved.","ref":"GoogleApi.IAP.V1.Model.OAuth2.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.OAuth2.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.OAuth2.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.OAuth2.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.OAuth2.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.OAuthSettings","doc":"Configuration for OAuth login&consent flow behavior as well as for OAuth Credentials.","ref":"GoogleApi.IAP.V1.Model.OAuthSettings.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.OAuthSettings","doc":"*   `loginHint` (*type:* `String.t`, *default:* `nil`) - Domain hint to send as hd=? parameter in OAuth request flow. Enables redirect to primary IDP by skipping Google's login screen. https://developers.google.com/identity/protocols/OpenIDConnect#hd-param Note: IAP does not verify that the id token's hd claim matches this value since access behavior is managed by IAM policies.\n*   `programmaticClients` (*type:* `list(String.t)`, *default:* `nil`) - Optional. List of client ids allowed to use IAP programmatically.","ref":"GoogleApi.IAP.V1.Model.OAuthSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.OAuthSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.OAuthSettings.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.OAuthSettings.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.OAuthSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.Policy","doc":"An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** ``` { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time < timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } ``` **YAML example:** ``` bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time < timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 ``` For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).","ref":"GoogleApi.IAP.V1.Model.Policy.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.Policy","doc":"*   `bindings` (*type:* `list(GoogleApi.IAP.V1.Model.Binding.t)`, *default:* `nil`) - Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - `etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.\n*   `version` (*type:* `integer()`, *default:* `nil`) - Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: * Getting a policy that includes a conditional role binding * Adding a conditional role binding to a policy * Changing a conditional role binding in a policy * Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).","ref":"GoogleApi.IAP.V1.Model.Policy.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.Policy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.Policy.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.Policy.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.Policy.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.PolicyDelegationSettings","doc":"PolicyDelegationConfig allows google-internal teams to use IAP for apps hosted in a tenant project. Using these settings, the app can delegate permission check to happen against the linked customer project. This is only ever supposed to be used by google internal teams, hence the restriction on the proto.","ref":"GoogleApi.IAP.V1.Model.PolicyDelegationSettings.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.PolicyDelegationSettings","doc":"*   `iamPermission` (*type:* `String.t`, *default:* `nil`) - Permission to check in IAM.\n*   `iamServiceName` (*type:* `String.t`, *default:* `nil`) - The DNS name of the service (e.g. \"resourcemanager.googleapis.com\"). This should be the domain name part of the full resource names (see https://aip.dev/122#full-resource-names), which is usually the same as IamServiceSpec.service of the service where the resource type is defined.\n*   `policyName` (*type:* `GoogleApi.IAP.V1.Model.PolicyName.t`, *default:* `nil`) - Policy name to be checked\n*   `resource` (*type:* `GoogleApi.IAP.V1.Model.Resource.t`, *default:* `nil`) - IAM resource to check permission on","ref":"GoogleApi.IAP.V1.Model.PolicyDelegationSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.PolicyDelegationSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.PolicyDelegationSettings.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.PolicyDelegationSettings.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.PolicyDelegationSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.PolicyName","doc":"An internal name for an IAM policy, based on the resource to which the policy applies. Not to be confused with a resource's external full resource name. For more information on this distinction, see go/iam-full-resource-names.","ref":"GoogleApi.IAP.V1.Model.PolicyName.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.PolicyName","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - Identifies an instance of the type. ID format varies by type. The ID format is defined in the IAM .service file that defines the type, either in path_mapping or in a comment.\n*   `region` (*type:* `String.t`, *default:* `nil`) - For Cloud IAM: The location of the Policy. Must be empty or \"global\" for Policies owned by global IAM. Must name a region from prodspec/cloud-iam-cloudspec for Regional IAM Policies, see go/iam-faq#where-is-iam-currently-deployed. For Local IAM: This field should be set to \"local\".\n*   `type` (*type:* `String.t`, *default:* `nil`) - Resource type. Types are defined in IAM's .service files. Valid values for type might be 'storage_buckets', 'compute_instances', 'resourcemanager_customers', 'billing_accounts', etc.","ref":"GoogleApi.IAP.V1.Model.PolicyName.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.PolicyName.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.PolicyName.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.PolicyName.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.PolicyName.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.ReauthSettings","doc":"Configuration for IAP reauthentication policies.","ref":"GoogleApi.IAP.V1.Model.ReauthSettings.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.ReauthSettings","doc":"*   `maxAge` (*type:* `String.t`, *default:* `nil`) - Optional. Reauth session lifetime, how long before a user has to reauthenticate again.\n*   `method` (*type:* `String.t`, *default:* `nil`) - Optional. Reauth method requested.\n*   `policyType` (*type:* `String.t`, *default:* `nil`) - Optional. How IAP determines the effective policy in cases of hierarchical policies. Policies are merged from higher in the hierarchy to lower in the hierarchy.","ref":"GoogleApi.IAP.V1.Model.ReauthSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.ReauthSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.ReauthSettings.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.ReauthSettings.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.ReauthSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.ResetIdentityAwareProxyClientSecretRequest","doc":"The request sent to ResetIdentityAwareProxyClientSecret.","ref":"GoogleApi.IAP.V1.Model.ResetIdentityAwareProxyClientSecretRequest.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.ResetIdentityAwareProxyClientSecretRequest","doc":"","ref":"GoogleApi.IAP.V1.Model.ResetIdentityAwareProxyClientSecretRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.ResetIdentityAwareProxyClientSecretRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.ResetIdentityAwareProxyClientSecretRequest.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.ResetIdentityAwareProxyClientSecretRequest.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.ResetIdentityAwareProxyClientSecretRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.Resource","doc":"","ref":"GoogleApi.IAP.V1.Model.Resource.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.Resource","doc":"*   `expectedNextState` (*type:* `map()`, *default:* `nil`) - The proto or JSON formatted expected next state of the resource, wrapped in a google.protobuf.Any proto, against which the policy rules are evaluated. Services not integrated with custom org policy can omit this field. Services integrated with custom org policy must populate this field for all requests where the API call changes the state of the resource. Custom org policy backend uses these attributes to enforce custom org policies. When a proto is wrapped, it is generally the One Platform API proto. When a JSON string is wrapped, use `google.protobuf.StringValue` for the inner value. For create operations, GCP service is expected to pass resource from customer request as is. For update/patch operations, GCP service is expected to compute the next state with the patch provided by the user. See go/custom-constraints-org-policy-integration-guide for additional details.\n*   `labels` (*type:* `map()`, *default:* `nil`) - The service defined labels of the resource on which the conditions will be evaluated. The semantics - including the key names - are vague to IAM. If the effective condition has a reference to a `resource.labels[foo]` construct, IAM consults with this map to retrieve the values associated with `foo` key for Conditions evaluation. If the provided key is not found in the labels map, the condition would evaluate to false. This field is in limited use. If your intended use case is not expected to express resource.labels attribute in IAM Conditions, leave this field empty. Before planning on using this attribute please: * Read go/iam-conditions-labels-comm and ensure your service can meet the data availability and management requirements. * Talk to iam-conditions-eng@ about your use case.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The **relative** name of the resource, which is the URI path of the resource without the leading \"/\". See https://cloud.google.com/iam/docs/conditions-resource-attributes#resource-name for examples used by other GCP Services. This field is **required** for services integrated with resource-attribute-based IAM conditions and/or CustomOrgPolicy. This field requires special handling for parents-only permissions such as `create` and `list`. See the document linked below for further details. See go/iam-conditions-sig-g3#populate-resource-attributes for specific details on populating this field.\n*   `nextStateOfTags` (*type:* `GoogleApi.IAP.V1.Model.NextStateOfTags.t`, *default:* `nil`) - Used for calculating the next state of tags on the resource being passed for Custom Org Policy enforcement. NOTE: Only one of the tags representations (i.e. numeric or namespaced) should be populated. The input tags will be converted to the same representation before the calculation. This behavior intentionally may differ from other tags related fields in CheckPolicy request, which may require both formats to be passed in. IMPORTANT: If tags are unchanged, this field should not be set.\n*   `service` (*type:* `String.t`, *default:* `nil`) - The name of the service this resource belongs to. It is configured using the official_service_name of the Service as defined in service configurations under //configs/cloud/resourcetypes. For example, the official_service_name of cloud resource manager service is set as 'cloudresourcemanager.googleapis.com' according to //configs/cloud/resourcetypes/google/cloud/resourcemanager/prod.yaml This field is **required** for services integrated with resource-attribute-based IAM conditions and/or CustomOrgPolicy. This field requires special handling for parents-only permissions such as `create` and `list`. See the document linked below for further details. See go/iam-conditions-sig-g3#populate-resource-attributes for specific details on populating this field.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The public resource type name of the resource. It is configured using the official_name of the ResourceType as defined in service configurations under //configs/cloud/resourcetypes. For example, the official_name for GCP projects is set as 'cloudresourcemanager.googleapis.com/Project' according to //configs/cloud/resourcetypes/google/cloud/resourcemanager/prod.yaml This field is **required** for services integrated with resource-attribute-based IAM conditions and/or CustomOrgPolicy. This field requires special handling for parents-only permissions such as `create` and `list`. See the document linked below for further details. See go/iam-conditions-sig-g3#populate-resource-attributes for specific details on populating this field.","ref":"GoogleApi.IAP.V1.Model.Resource.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.Resource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.Resource.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.Resource.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.Resource.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.SetIamPolicyRequest","doc":"Request message for `SetIamPolicy` method.","ref":"GoogleApi.IAP.V1.Model.SetIamPolicyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.SetIamPolicyRequest","doc":"*   `policy` (*type:* `GoogleApi.IAP.V1.Model.Policy.t`, *default:* `nil`) - REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.","ref":"GoogleApi.IAP.V1.Model.SetIamPolicyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.SetIamPolicyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.SetIamPolicyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.SetIamPolicyRequest.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.SetIamPolicyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.TagsFullState","doc":"","ref":"GoogleApi.IAP.V1.Model.TagsFullState.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.TagsFullState","doc":"*   `tags` (*type:* `map()`, *default:* `nil`) - If TagsFullState is initialized, the values in this field fully represent all the tags in the next state (the current tag values are not used). If tags.size() == 0, the next state of tags would be no tags for evaluation purposes. Only one type of tags reference (numeric or namespace) is required to be passed.","ref":"GoogleApi.IAP.V1.Model.TagsFullState.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.TagsFullState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.TagsFullState.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.TagsFullState.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.TagsFullState.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.TagsFullStateForChildResource","doc":"","ref":"GoogleApi.IAP.V1.Model.TagsFullStateForChildResource.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.TagsFullStateForChildResource","doc":"*   `tags` (*type:* `map()`, *default:* `nil`) - If TagsFullStateForChildResource is initialized, the values in this field represent all the tags in the next state for the child resource. Only one type of tags reference (numeric or namespace) is required to be passed. IMPORTANT: This field should only be used when the target resource IAM policy name is UNKNOWN and the resource's parent IAM policy name is being passed in the request.","ref":"GoogleApi.IAP.V1.Model.TagsFullStateForChildResource.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.TagsFullStateForChildResource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.TagsFullStateForChildResource.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.TagsFullStateForChildResource.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.TagsFullStateForChildResource.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.TagsPartialState","doc":"","ref":"GoogleApi.IAP.V1.Model.TagsPartialState.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.TagsPartialState","doc":"*   `tagKeysToRemove` (*type:* `list(String.t)`, *default:* `nil`) - Keys of the tags that should be removed for evaluation purposes. IMPORTANT: Currently only numeric references are supported. Once support for namespace references is added, both the tag references (numeric and namespace) will be removed.\n*   `tagsToUpsert` (*type:* `map()`, *default:* `nil`) - Tags that’ll be updated or added to the current state of tags for evaluation purposes. If a key exists in both \"tags_to_upsert\" and \"tag_keys_to_remove\", the one in \"tag_keys_to_remove\" is ignored. Only one type of tags reference (numeric or namespace) is required to be passed.","ref":"GoogleApi.IAP.V1.Model.TagsPartialState.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.TagsPartialState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.TagsPartialState.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.TagsPartialState.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.TagsPartialState.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.TestIamPermissionsRequest","doc":"Request message for `TestIamPermissions` method.","ref":"GoogleApi.IAP.V1.Model.TestIamPermissionsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.TestIamPermissionsRequest","doc":"*   `permissions` (*type:* `list(String.t)`, *default:* `nil`) - The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).","ref":"GoogleApi.IAP.V1.Model.TestIamPermissionsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.TestIamPermissionsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.TestIamPermissionsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.TestIamPermissionsRequest.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.TestIamPermissionsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.TestIamPermissionsResponse","doc":"Response message for `TestIamPermissions` method.","ref":"GoogleApi.IAP.V1.Model.TestIamPermissionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.TestIamPermissionsResponse","doc":"*   `permissions` (*type:* `list(String.t)`, *default:* `nil`) - A subset of `TestPermissionsRequest.permissions` that the caller is allowed.","ref":"GoogleApi.IAP.V1.Model.TestIamPermissionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.TestIamPermissionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.TestIamPermissionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.TestIamPermissionsResponse.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.TestIamPermissionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.TunnelDestGroup","doc":"A TunnelDestGroup.","ref":"GoogleApi.IAP.V1.Model.TunnelDestGroup.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.TunnelDestGroup","doc":"*   `cidrs` (*type:* `list(String.t)`, *default:* `nil`) - Optional. Unordered list. List of CIDRs that this group applies to.\n*   `fqdns` (*type:* `list(String.t)`, *default:* `nil`) - Optional. Unordered list. List of FQDNs that this group applies to.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. Identifier for the TunnelDestGroup. Must be unique within the project and contain only lower case letters (a-z) and dashes (-).","ref":"GoogleApi.IAP.V1.Model.TunnelDestGroup.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.TunnelDestGroup.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.TunnelDestGroup.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.TunnelDestGroup.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.TunnelDestGroup.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.ValidateIapAttributeExpressionResponse","doc":"IAP Expression Linter endpoint returns empty response body.","ref":"GoogleApi.IAP.V1.Model.ValidateIapAttributeExpressionResponse.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.ValidateIapAttributeExpressionResponse","doc":"","ref":"GoogleApi.IAP.V1.Model.ValidateIapAttributeExpressionResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.ValidateIapAttributeExpressionResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.ValidateIapAttributeExpressionResponse.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.ValidateIapAttributeExpressionResponse.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.ValidateIapAttributeExpressionResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.IAP.V1.Model.WorkforceIdentitySettings","doc":"WorkforceIdentitySettings allows customers to configure workforce pools and OAuth 2.0 settings to gate their applications using a third-party IdP with access control.","ref":"GoogleApi.IAP.V1.Model.WorkforceIdentitySettings.html"},{"type":"module","title":"Attributes - GoogleApi.IAP.V1.Model.WorkforceIdentitySettings","doc":"*   `oauth2` (*type:* `GoogleApi.IAP.V1.Model.OAuth2.t`, *default:* `nil`) - OAuth 2.0 settings for IAP to perform OIDC flow with workforce identity federation services.\n*   `workforcePools` (*type:* `list(String.t)`, *default:* `nil`) - The workforce pool resources. Only one workforce pool is accepted.","ref":"GoogleApi.IAP.V1.Model.WorkforceIdentitySettings.html#module-attributes"},{"type":"function","title":"GoogleApi.IAP.V1.Model.WorkforceIdentitySettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.IAP.V1.Model.WorkforceIdentitySettings.html#decode/2"},{"type":"type","title":"GoogleApi.IAP.V1.Model.WorkforceIdentitySettings.t/0","doc":"","ref":"GoogleApi.IAP.V1.Model.WorkforceIdentitySettings.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}